com.independentsoft.exchange

## Class ItemShape

- java.lang.Object
- - com.independentsoft.exchange.ItemShape

-     public class ItemShape
      extends java.lang.Object

  Identifies a set of properties to return in a GetItem Operation, FindItem Operation, or SyncFolderItems Operation response.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemShape()` Initializes a new instance of the ItemShape class.
    `ItemShape(java.util.List<PropertyPath> propertyPaths)` Initializes a new instance of the ItemShape class.
    `ItemShape(java.util.List<PropertyPath> propertyPaths, BodyType bodyType)` Instantiates a new item shape.
    `ItemShape(java.util.List<PropertyPath> propertyPaths, boolean includeMimeContent)` Initializes a new instance of the ItemShape class.
    `ItemShape(java.util.List<PropertyPath> propertyPaths, boolean includeMimeContent, BodyType bodyType)` Initializes a new instance of the ItemShape class.
    `ItemShape(ShapeType type)` Initializes a new instance of the ItemShape class.
    `ItemShape(ShapeType type, BodyType bodyType)` Initializes a new instance of the ItemShape class.
    `ItemShape(ShapeType type, boolean includeMimeContent)` Initializes a new instance of the ItemShape class.
    `ItemShape(ShapeType type, boolean includeMimeContent, BodyType bodyType)` Initializes a new instance of the ItemShape class.
    `ItemShape(ShapeType type, java.util.List<PropertyPath> propertyPaths)` Initializes a new instance of the ItemShape class.
    `ItemShape(ShapeType type, java.util.List<PropertyPath> propertyPaths, BodyType bodyType)` Initializes a new instance of the ItemShape class.
    `ItemShape(ShapeType type, java.util.List<PropertyPath> propertyPaths, boolean includeMimeContent)` Initializes a new instance of the ItemShape class.
    `ItemShape(ShapeType type, java.util.List<PropertyPath> propertyPaths, boolean includeMimeContent, BodyType bodyType)` Initializes a new instance of the ItemShape class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BodyType` | `getBodyType()` Gets how the body text is formatted in the response.
    `boolean` | `getIncludeMimeContent()` Gets whether the Multipurpose Internet Mail Extensions (MIME) content of an item is returned in the response.
    `java.lang.String` | `getInlineImageUrlTemplate()` Gets the inline image url template.
    `int` | `getMaximumBodySize()` Gets the maximum body size.
    `java.util.List<PropertyPath>` | `getPropertyPaths()` Gets additional properties to return in a response.
    `ShapeType` | `getType()` Gets the basic configuration of properties to return in an item or folder response.
    `boolean` | `isAddBlankTargetToLinks()` Checks if is adds the blank target to links.
    `boolean` | `isBlockExternalImages()` Checks if is block external images.
    `boolean` | `isConvertHtmlCodePageToUTF8()` Checks if is convert html code page to ut f8.
    `boolean` | `isFilterHtmlContent()` Checks if is filter html content.
    `void` | `setAddBlankTargetToLinks(boolean addBlankTargetToLinks)` Sets the adds the blank target to links.
    `void` | `setBlockExternalImages(boolean blockExternalImages)` Sets the block external images.
    `void` | `setBodyType(BodyType bodyType)` Sets how the body text is formatted in the response.
    `void` | `setConvertHtmlCodePageToUTF8(boolean convertHtmlCodePageToUTF8)` Sets the convert html code page to ut f8.
    `void` | `setFilterHtmlContent(boolean filterHtmlContent)` Sets the filter html content.
    `void` | `setIncludeMimeContent(boolean includeMimeContent)` Sets whether the Multipurpose Internet Mail Extensions (MIME) content of an item is returned in the response.
    `void` | `setInlineImageUrlTemplate(java.lang.String inlineImageUrlTemplate)` Sets the inline image url template.
    `void` | `setMaximumBodySize(int maximumBodySize)` Sets the maximum body size.
    `void` | `setType(ShapeType type)` Sets the basic configuration of properties to return in an item or folder response.
    `java.lang.String` | `toString()` Converts the value of the current ItemShape object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemShape

          public ItemShape()

      Initializes a new instance of the ItemShape class.

    - #### ItemShape

          public ItemShape(ShapeType type)

      Initializes a new instance of the ItemShape class.
      Parameters:
        `type` - the type

    - #### ItemShape

          public ItemShape(ShapeType type,
                           boolean includeMimeContent)

      Initializes a new instance of the ItemShape class.
      Parameters:
        `type` - the type
        `includeMimeContent` - the include mime content

    - #### ItemShape

          public ItemShape(ShapeType type,
                           BodyType bodyType)

      Initializes a new instance of the ItemShape class.
      Parameters:
        `type` - the type
        `bodyType` - the body type

    - #### ItemShape

          public ItemShape(ShapeType type,
                           boolean includeMimeContent,
                           BodyType bodyType)

      Initializes a new instance of the ItemShape class.
      Parameters:
        `type` - the type
        `includeMimeContent` - the include mime content
        `bodyType` - the body type

    - #### ItemShape

          public ItemShape(java.util.List<PropertyPath> propertyPaths)

      Initializes a new instance of the ItemShape class.
      Parameters:
        `propertyPaths` - the property paths

    - #### ItemShape

          public ItemShape(java.util.List<PropertyPath> propertyPaths,
                           boolean includeMimeContent)

      Initializes a new instance of the ItemShape class.
      Parameters:
        `propertyPaths` - the property paths
        `includeMimeContent` - the include mime content

    - #### ItemShape

          public ItemShape(java.util.List<PropertyPath> propertyPaths,
                           BodyType bodyType)

      Instantiates a new item shape.
      Parameters:
        `propertyPaths` - the property paths
        `bodyType` - the body type

    - #### ItemShape

          public ItemShape(java.util.List<PropertyPath> propertyPaths,
                           boolean includeMimeContent,
                           BodyType bodyType)

      Initializes a new instance of the ItemShape class.
      Parameters:
        `propertyPaths` - the property paths
        `includeMimeContent` - the include mime content
        `bodyType` - the body type

    - #### ItemShape

          public ItemShape(ShapeType type,
                           java.util.List<PropertyPath> propertyPaths)

      Initializes a new instance of the ItemShape class.
      Parameters:
        `type` - the type
        `propertyPaths` - the property paths

    - #### ItemShape

          public ItemShape(ShapeType type,
                           java.util.List<PropertyPath> propertyPaths,
                           boolean includeMimeContent)

      Initializes a new instance of the ItemShape class.
      Parameters:
        `type` - the type
        `propertyPaths` - the property paths
        `includeMimeContent` - the include mime content

    - #### ItemShape

          public ItemShape(ShapeType type,
                           java.util.List<PropertyPath> propertyPaths,
                           BodyType bodyType)

      Initializes a new instance of the ItemShape class.
      Parameters:
        `type` - the type
        `propertyPaths` - the property paths
        `bodyType` - the body type

    - #### ItemShape

          public ItemShape(ShapeType type,
                           java.util.List<PropertyPath> propertyPaths,
                           boolean includeMimeContent,
                           BodyType bodyType)

      Initializes a new instance of the ItemShape class.
      Parameters:
        `type` - the type
        `propertyPaths` - the property paths
        `includeMimeContent` - the include mime content
        `bodyType` - the body type

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current ItemShape object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getType

          public ShapeType getType()

      Gets the basic configuration of properties to return in an item or folder response.
      Returns:
        the type

    - #### setType

          public void setType(ShapeType type)

      Sets the basic configuration of properties to return in an item or folder response.
      Parameters:
        `type` - the new type

    - #### getPropertyPaths

          public java.util.List<PropertyPath> getPropertyPaths()

      Gets additional properties to return in a response.
      Returns:
        the property paths

    - #### getIncludeMimeContent

          public boolean getIncludeMimeContent()

      Gets whether the Multipurpose Internet Mail Extensions (MIME) content of an item is returned in the response.
      Returns:
        the include mime content

    - #### setIncludeMimeContent

          public void setIncludeMimeContent(boolean includeMimeContent)

      Sets whether the Multipurpose Internet Mail Extensions (MIME) content of an item is returned in the response.
      Parameters:
        `includeMimeContent` - the new include mime content

    - #### getBodyType

          public BodyType getBodyType()

      Gets how the body text is formatted in the response.
      Returns:
        the body type

    - #### setBodyType

          public void setBodyType(BodyType bodyType)

      Sets how the body text is formatted in the response.
      Parameters:
        `bodyType` - the new body type

    - #### isFilterHtmlContent

          public boolean isFilterHtmlContent()

      Checks if is filter html content.
      Returns:
        true, if is filter html content

    - #### setFilterHtmlContent

          public void setFilterHtmlContent(boolean filterHtmlContent)

      Sets the filter html content.
      Parameters:
        `filterHtmlContent` - the new filter html content

    - #### isConvertHtmlCodePageToUTF8

          public boolean isConvertHtmlCodePageToUTF8()

      Checks if is convert html code page to ut f8.
      Returns:
        true, if is convert html code page to ut f8

    - #### setConvertHtmlCodePageToUTF8

          public void setConvertHtmlCodePageToUTF8(boolean convertHtmlCodePageToUTF8)

      Sets the convert html code page to ut f8.
      Parameters:
        `convertHtmlCodePageToUTF8` - the new convert html code page to ut f8

    - #### getInlineImageUrlTemplate

          public java.lang.String getInlineImageUrlTemplate()

      Gets the inline image url template.
      Returns:
        the inline image url template

    - #### setInlineImageUrlTemplate

          public void setInlineImageUrlTemplate(java.lang.String inlineImageUrlTemplate)

      Sets the inline image url template.
      Parameters:
        `inlineImageUrlTemplate` - the new inline image url template

    - #### isBlockExternalImages

          public boolean isBlockExternalImages()

      Checks if is block external images.
      Returns:
        true, if is block external images

    - #### setBlockExternalImages

          public void setBlockExternalImages(boolean blockExternalImages)

      Sets the block external images.
      Parameters:
        `blockExternalImages` - the new block external images

    - #### isAddBlankTargetToLinks

          public boolean isAddBlankTargetToLinks()

      Checks if is adds the blank target to links.
      Returns:
        true, if is adds the blank target to links

    - #### setAddBlankTargetToLinks

          public void setAddBlankTargetToLinks(boolean addBlankTargetToLinks)

      Sets the adds the blank target to links.
      Parameters:
        `addBlankTargetToLinks` - the new adds the blank target to links

    - #### getMaximumBodySize

          public int getMaximumBodySize()

      Gets the maximum body size.
      Returns:
        the maximum body size

    - #### setMaximumBodySize

          public void setMaximumBodySize(int maximumBodySize)

      Sets the maximum body size.
      Parameters:
        `maximumBodySize` - the new maximum body size